import { Text, View } from "react-native";
import Card from "../../Components/Card";
import { Incubator, Switch } from "react-native-ui-lib";
import { IconButton } from "react-native-paper";
import { useState } from "react";

export default function MotorView() {
  const [switchState, setSwitchState] = useState(false);
  const [sliderValue, setSliderValue] = useState(0);

  return (
    <Card>
      <View style={{ flexDirection: "row", alignItems: "center" }}>
        <Switch value={switchState} onValueChange={(e) => setSwitchState(e)} />
        <IconButton icon="fan" iconColor={"#fff"} size={20} />
        <View style={{ flex: 1 }}>
          <Incubator.Slider
            value={sliderValue}
            step={1}
            initialMinimumValue={0}
            minimumValue={0}
            maximumValue={100}
            onValueChange={(v) => setSliderValue(v)}
            containerStyle={{
              flex: 1,
              marginHorizontal: 8,
            }}
          />
        </View>
      </View>
    </Card>
  );
}
