import { Text, View } from "react-native";
import Card from "../../Components/Card";
import { Incubator, Switch } from "react-native-ui-lib";
import { useContext, useState } from "react";
import { AppContext, AppStyles } from "../../utils";
import { Divider } from "../../Components/Divider";
import { useTranslation } from "react-i18next";

export default function SettingsView() {
  const appContext = useContext(AppContext);
  const { t } = useTranslation();

  const [switchState, setSwitchState] = useState(false);
  const [sliderValue, setSliderValue] = useState(0);

  return (
    <>
      <Card>
        <Text
          style={[
            AppStyles.typography20,
            {
              color: appContext.appTheme.text,
              marginBottom: 10,
            },
          ]}
        >
          {t("screens.device.settings.settingsTitle")}
        </Text>

        <View
          style={{
            flexDirection: "row",
            alignItems: "center",
            justifyContent: "space-between",
          }}
        >
          <View style={{ width: "80%" }}>
            <Text style={[AppStyles.typography16, { color: "#fff" }]}>
              {t("screens.device.settings.wifiStandByTitle")}
            </Text>
            <Text style={[AppStyles.typography14, { color: "#ddd" }]}>
              {t("screens.device.settings.wifiStandByDescription")}
            </Text>
          </View>
          <Switch
            value={switchState}
            onValueChange={(e) => setSwitchState(e)}
          />
        </View>
      </Card>

      <Card>
        <Text
          style={[
            AppStyles.typography20,
            {
              color: "#fff",
              marginBottom: 10,
            },
          ]}
        >
          {t("screens.device.settings.deviceInformationTitle")}
        </Text>
        <Text style={([AppStyles.typography16], { color: "#fff" })}>
          {t("screens.device.settings.deviceModelTitle")}
        </Text>
        <Text style={([AppStyles.typography14], { color: "#ddd" })}>
          Shimmex Aurora
        </Text>
        <Divider />
        <Text style={([AppStyles.typography16], { color: "#fff" })}>
          {t("screens.device.settings.deviceFirmwareVersionTitle")}
        </Text>
        <Text style={([AppStyles.typography14], { color: "#ddd" })}>1.0.1</Text>
        <Divider />
        <Text style={([AppStyles.typography16], { color: "#fff" })}>
          {t("screens.device.settings.deviceLastUpdated")}
        </Text>
        <Text style={([AppStyles.typography14], { color: "#ddd" })}>
          11.07.2023 um 20:33 Uhr
        </Text>
      </Card>
    </>
  );
}
